<ion-header>
  <ion-toolbar mode="ios">
    <ion-buttons slot="start">
      <ion-button (click)="back()"><ion-icon name="md-arrow-back"></ion-icon></ion-button>
    </ion-buttons>
    <ion-title>{{order.name}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <p class="ion-text-center cart-items" *ngIf="cartItems.length">{{cartItems.length}} more orders</p>

  <ion-item *ngFor="let item of cartItems">    
    <ion-label class="add-order">
      <h2>{{item.name}}</h2>
      <p>@{{item.price | currency:' '}} x {{item.quantity}}</p>
    </ion-label>    
    <ion-icon name="ios-trash" size="large" slot="end" color="danger" (click)="removeCartItem(item)"></ion-icon>
  </ion-item>
  <ion-item-sliding *ngFor="let item of order.cart_items">
    <ion-item-options side="start">
      <ion-item-option color="light" (click)="removePendingOrderItem(item.uid)"><ion-icon name="ios-trash" color="danger" size="large"></ion-icon></ion-item-option>        
    </ion-item-options>    
    <ion-item>      
      <ion-label>
        <h2>{{item.name}}</h2>
        <p>@{{item.price | currency:' '}} x {{item.quantity}}</p>
      </ion-label>
      <p slot="end">{{item.amount | currency:' '}}</p>
    </ion-item>
  </ion-item-sliding>
  
</ion-content>

<ion-footer>
  <ion-button mode="ios" shape="round" expand="full" (click)="addPendingOrderItems()" *ngIf="cartItems.length">Add Orders</ion-button>
  <ion-button mode="ios" shape="round" expand="full" (click)="settle()" *ngIf="!cartItems.length && order.cart_items.length">Settle</ion-button>
</ion-footer>